JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
dsp::SIMDRegister::ElementAccess< Type > Struct Template Reference
juce_dsp » containers

`#include <juce_SIMDRegister_Impl.h>`

## Public Member Functions
| ElementAccess (const ElementAccess &)=default
| operator Type () const
ElementAccess & | operator= (Type scalar) noexcept
ElementAccess & | operator= (const ElementAccess &o) noexcept

## Constructor & Destructor Documentation

## ◆ ElementAccess()

template<typename Type >

dsp::SIMDRegister::ElementAccess< Type >::ElementAccess | ( | const ElementAccess< Type > & |  | ) |
| default

## Member Function Documentation

## ◆ operator Type()

template<typename Type >

dsp::SIMDRegister::ElementAccess< Type >::operator Type | ( |  | ) | const

## ◆ operator=() [1/2]

template<typename Type >

ElementAccess & dsp::SIMDRegister::ElementAccess< Type >::operator= | ( | Type | scalar | ) |
| noexcept

## ◆ operator=() [2/2]

template<typename Type >

ElementAccess & dsp::SIMDRegister::ElementAccess< Type >::operator= | ( | const ElementAccess< Type > & | o | ) |
| noexcept

The documentation for this struct was generated from the following file:

- juce_SIMDRegister_Impl.h